Page MenuHomePhabricator

Identify Wikimedia's top technical partners
Closed, DeclinedPublic

Description

ObjectiveImpact on goalDependencyETAStatus
T96013: Identify Wikimedia's top technical partnersPrinciples of partnership defined, 10 potential partners identified, 5 of them contactedStrategic PartnershipsJune 2015

In relation to T926: Engage with established technical communities, which partner relationships should we prioritize? Let's start defining principles of partnership, and identifying potential partners sharing these principles.

We have related tasks pending, like deciding what we will do with "top technical partners", but we have been in this loop of undefinition without any progress for too long. This is an attempt to break the loop.

For instance, it looks like the OpenStreetMap Foundation would be one of these top tech partners, considering the many initiatives we are sharing and our common interests. Who else, and based on what?

See also:

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedKeegan
DeclinedNone
InvalidNone
ResolvedNone
DeclinedQgil
ResolvedQgil
OpenNone
ResolvedTgr
OpenTgr
ResolvedArielGlenn
Resolvedbd808
ResolvedNone
ResolvedDzahn
Resolvedbd808
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJAllemandou
ResolvedOttomata
Resolvedbd808
Resolvedbd808
OpenNone
OpenNone
Resolvedbd808
StalledEvanProdromou
OpenNone

Event Timeline

Qgil created this task.Apr 14 2015, 10:58 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil added subscribers: Nemo_bis, Ckoerner, Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2015, 10:58 AM
Qgil raised the priority of this task from Low to Normal.Apr 15 2015, 8:58 PM
Qgil claimed this task.
Qgil set Security to None.

Candidates that come to mind: Openstack, Apertium, HHVM, Phacility, Europeana. Writing them down here just to have a bit more progress.

Qgil moved this task from Backlog to Ready to Go on the ECT-April-2015 board.Apr 15 2015, 9:28 PM

As far as I can tell, OSMF has no relationship with the technical development of OSM. https://blog.openstreetmap.org/about/

It's not clear to me whether you're looking for strategic sinergies, recruitment pools or what else. If sinergies, I don't see how to select names without first selecting things to achieve, nor I'm interested in changing non-Wikimedia goals. If pools, then the list should be merely determined by responsiveness.

Qgil added a subscriber: Nemo_bis.Apr 19 2015, 8:05 AM

@Nemo_bis, I agree with your assessment. We are talking about strategic partnerships, which should be based on alignment of goals, and such goals should be identified in the first place, yes. Listing names of projects with ongoing collaborations is useful to start breaking the "loop of undefinition" mentioned in the description.

Qgil removed a subscriber: Nemo_bis.Apr 19 2015, 8:06 AM
Qgil updated the task description. (Show Details)Apr 23 2015, 1:35 PM
Qgil lowered the priority of this task from Normal to Low.Apr 29 2015, 1:58 PM

I'm lowering the priority of this task, as it is clear to me now that this needs to be looked under the perspective of our developer audience (T97283).

We are talking about technical partners, and how to collaborate to get common benefits aligned with our mission. Let's define first what is our developer offering, what we have to offer and what we need.

Qgil added a comment.Apr 29 2015, 7:54 PM

The Open Knowledge Foundation could be another candidate. Now they have a CEO who is a former Wikimedian: http://blog.okfn.org/2015/04/29/open-knowledge-appoints-pavel-richter-as-new-ceo/

Qgil removed Qgil as the assignee of this task.Jun 28 2015, 10:17 PM

I think this is still needed, but it looks like we need to work first on clarifying what is it needed for. At this point, this task should be done in collaboration with the Strategic Partnerships team.

Qgil added a subscriber: Wittylama.Jul 7 2015, 12:28 PM

Is this project expecting to be related to the [also not yet very clearly defined] "movement partners" affiliation model? https://meta.wikimedia.org/wiki/Wikimedia_affiliation_models/Movement_Partners

Qgil added a comment.Jul 8 2015, 12:17 PM

No, I think they are completely orthogonal. In fact, this framework should be useful especially for those organizations that are not "movement partners", neither have or want to have any type of special relation, affiliation, etc. Just like an API, this framework should allow them to come, contribute, take whatever they want, come back again whenever they want, etc. Lightweight and with almost zero overhead.

Qgil closed this task as Resolved.Aug 26 2015, 10:33 AM
Qgil claimed this task.

I will decline this task. Looking for technical partners a priori and then talk to them about what we should do hasn't been a motivating formula so far, and nobody has been asking for this either. What we have done is to to have conversations with related organizations whenever someone saw a good chance to discuss a problem together or have a common goal. This is good enough for the work of the Engineering Community team.

Meanwhile, the WMF has a Strategic Partnerships team. If Wikimedia needs to define its top technical partners, they are the ones that should have the initiative.

Qgil changed the task status from Resolved to Declined.Aug 26 2015, 10:33 AM